# Interface CancelToken

interface CancelToken {
promise : Promise< Cancel >;
reason ?: Cancel ;
throwIfRequested (): void;
}

- Defined in node_modules/axios/index.d.ts:464

##### Index

### Properties

promise
reason?

### Methods

throwIfRequested

## Properties

### promise

promise: Promise< Cancel >

- Defined in node_modules/axios/index.d.ts:465

### `Optional` reason

reason?: Cancel

- Defined in node_modules/axios/index.d.ts:466

## Methods

### throwIfRequested

- throwIfRequested(): void

  #### Returns void

  - Defined in node_modules/axios/index.d.ts:467